#include "LStdControl.h"
#include "pisysdep.h"
#include PIMENU_H

// Redefinir HotSpotResult pour envoyer un message au PIOptMenuMac (qui est un listener)
// qui va envoyer une action.

class PIPPOptMenu : public LStdPopupMenu {
public:
	enum { class_ID = 'PPop' };
					PIPPOptMenu(
							const SPaneInfo		&inPaneInfo,
							MessageT			inValueMessage,
							Int16				inTitleOptions,
							ResIDT				inMENUid,
							Int16				inTitleWidth,
							Int16				inPopupVariation,
							ResIDT				inTextTraitsID,
							Str255				inTitle,
							OSType				inResTypeMENU,
							Int16				inInitialMenuItem);
					PIPPOptMenu(
							const SPaneInfo		&inPaneInfo,
							MessageT			inValueMessage,
							Int32				inMaxValue,
							ResIDT				inTextTraitsID,
							ControlHandle		inMacControlH);
					PIPPOptMenu(
							LStream				*inStream);
							
					void SetMenu(PIPUMenu* pdm);
protected:
	virtual void		HotSpotResult(
								Int16			inHotSpot);

};
